<?php
use Illuminate\Support\Facades\Route;

Route::group(['prefix' => 'print-suppliers/gelato'], function () {

    Route::post('/fulfill-template', ['uses' => 'GelatoController@storeFulfillTemplate']);

    Route::any('api', [ 'as' => 'print-suppliers::gelato::callapi', 'uses' => 'GelatoController@callGelatoApi', ]);
    Route::post('webhook', [ 'as' => 'print-suppliers::gelato::webhook', 'uses' => 'GelatoController@gelatoWebhook', ]);

    Route::get('auto-fulfill', 'GelatoController@autoFulfill');
    Route::get('gelato-product', 'GelatoController@gelatoProductAttrs');

    Route::get('build-template', 'GelatoController@buildTemplate');
    Route::get('temp-build-template', 'GelatoController@tempBuildTemplate');

    Route::any('/send-to-production', ['uses' => 'GelatoController@submitProduction']);

});
